Name:		pencil2d
Version:	0.7.0
Release:	%mkrel 2
Summary:	Traditional animation/drawing software
Group:		Graphics/Editors and Converters
License:	GPLv2
URL:		https://www.pencil2d.org/
Source0:	https://gitlab.com/chchwy/pencil2d/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

Obsoletes:	pencil-planner < 0.4.4b-11
Provides:	pencil-planner = %{version}-%{release}

%description
Pencil2D is an animation/drawing software for Mac OS X, Windows, and Linux.
It lets you create traditional hand-drawn animation (cartoon) using both
bitmap and vector graphics. Pencil2D is free and open source.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%qmake_qt6 PREFIX=%{_prefix}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE.TXT
%doc docs/*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/org.%{name}.Pencil2D.desktop
%{_datadir}/mime/packages/org.%{name}.Pencil2D.*
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_metainfodir}/org.%{name}.Pencil2D.metainfo.xml


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.7.0-2.mga10
+ Revision: 2225045
- Mageia 10 Mass Rebuild

* Mon Jul 15 2024 daviddavid <daviddavid> 0.7.0-1.mga10
+ Revision: 2081587
- new version: 0.7.0
- switch to Qt6

* Tue Nov 15 2022 daviddavid <daviddavid> 0.6.6-2.mga9
+ Revision: 1907376
- add patch to fix stack size in tests
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 0.6.6-1.mga9
+ Revision: 1690716
- new version: 0.6.6

* Thu Dec 17 2020 umeabot <umeabot> 0.6.5-2.mga8
+ Revision: 1659291
- Rebuild for new Qt5

* Thu Aug 13 2020 daviddavid <daviddavid> 0.6.5-1.mga8
+ Revision: 1613836
- new version: 0.6.5

* Wed Jul 22 2020 daviddavid <daviddavid> 0.6.4-3.mga8
+ Revision: 1607749
- add patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 0.6.4-2.mga8
+ Revision: 1526807
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 daviddavid <daviddavid> 0.6.4-1.mga8
+ Revision: 1415883
- new version: 0.6.4

* Sun Mar 31 2019 umeabot <umeabot> 0.6.3-2.mga7
+ Revision: 1383877
- Qt5 Rebuild

* Thu Mar 21 2019 alexl <alexl> 0.6.3-1.mga7
+ Revision: 1379336
- version 0.6.3

* Mon Feb 18 2019 daviddavid <daviddavid> 0.6.2-1.mga7
+ Revision: 1368125
- new version: 0.6.2 (mga#24357)
- port to Qt5
- obsoletes/provides old pencil-planner
- switch to pencil2d project (Qt5 port)

* Sun Sep 23 2018 umeabot <umeabot> 0.4.4b-10.mga7
+ Revision: 1300163
- Mageia 7 Mass Rebuild

* Sat Jul 30 2016 pterjan <pterjan> 0.4.4b-9.mga6
+ Revision: 1044079
- Fix build on arm

* Tue Feb 09 2016 umeabot <umeabot> 0.4.4b-8.mga6
+ Revision: 950959
- Mageia 6 Mass Rebuild

* Wed Nov 26 2014 alexl <alexl> 0.4.4b-7.mga5
+ Revision: 799338
- new desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4b-6.mga5
+ Revision: 749603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4b-5.mga5
+ Revision: 683401
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4b-4.mga4
+ Revision: 521562
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 juancho <juancho> 0.4.4b-3.mga3
+ Revision: 391194
- Change RPM group
- Fix gcc 4.7 build error
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 juancho <juancho> 0.4.4b-1.mga2
+ Revision: 149265
- Changed qmake call for appropiate %%qmake_qt4 macro
  Replaced hardcoded paths for macros
  Removed Version from .desktop file as it had wrong value and it's optional.
+ vaci0 <vaci0>
- imported package pencil-planner

